Commit 2359e9cb authored by Martyn Welch's avatar Martyn Welch

Initial build script

Very hacky build script.
Signed-off-by: Martyn Welch's avatarMartyn Welch <martyn.welch@collabora.co.uk>
parents
#!/bin/bash
CWD=$(pwd)
if [ "$?" != "0" ]
then
echo "Failed to determine working directory" >&2
exit 1
fi
cd poky
if [ "$?" != "0" ]
then
echo "Failed to enter poky directory" >&2
exit 1
fi
source oe-init-build-env ../build
if [ "$?" != "0" ]
then
echo "Failed to source poky init script" >&2
exit 1
fi
echo "BBLAYERS += \" ${CWD}/meta-openembedded/meta-oe\"" >> conf/bblayers.conf
if [ "$?" != "0" ]
then
echo "Failed to add meta-oe to bblayers.conf" >&2
exit 1
fi
echo "BBLAYERS += \" ${CWD}/meta-vmeutils\"" >> conf/bblayers.conf
if [ "$?" != "0" ]
then
echo "Failed to add meta-vmeutils to bblayers.conf" >&2
exit 1
fi
echo "PREFERRED_PROVIDER_virtual/kernel = \"linux-yocto-vme\"" >> conf/local.conf
if [ "$?" != "0" ]
then
echo "Failed to add preferred kernel to local.conf" >&2
exit 1
fi
export MACHINE="qemux86-64"
bitbake vme-image-dev
if [ "$?" != "0" ]
then
echo "Failed to build vme-image-dev" >&2
exit 1
fi
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment